# Copyright (C) 2013-2023  CEA, EDF, OPEN CASCADE
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
# See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
#

IF(NOT DEFINED MACHINE_IS_64)
  MESSAGE(FATAL_ERROR "Developer error -> SalomeSetupPlatform macros should be inclided before find_package(SalomeMESHGEMS) !")
ENDIF()

SALOME_FIND_PACKAGE_AND_DETECT_CONFLICTS(MESHGEMS MESHGEMS_INCLUDE_DIRS 1)
MARK_AS_ADVANCED(MESHGEMS_INCLUDE_DIRS MESHGEMS_CADSURF_LIBRARY MESHGEMS_HEXA_LIBRARY MESHGEMS_HYBRID_LIBRARY MESHGEMS_TETRA_LIBRARY MESHGEMS_TETRA_HPC_LIBRARY)

IF(MESHGEMS_FOUND)
  SALOME_ACCUMULATE_HEADERS(MESHGEMS_INCLUDE_DIRS)
  SALOME_ACCUMULATE_ENVIRONMENT(LD_LIBRARY_PATH ${MESHGEMS_CADSURF_LIBRARY} ${MESHGEMS_HEXA_LIBRARY} ${MESHGEMS_HYBRID_LIBRARY} ${MESHGEMS_TETRA_LIBRARY} ${MESHGEMS_TETRA_HPC_LIBRARY})
ENDIF()
